# Interface ZooInspectorNodeManager

All Superinterfaces:
  `ZooInspectorReadOnlyManager`

All Known Subinterfaces:
  `ZooInspectorManager`

All Known Implementing Classes:
  `ZooInspectorManagerImpl`

public interface ZooInspectorNodeManager extends ZooInspectorReadOnlyManager
A Manager for all interactions between the application and the nodes in a Zookeeper instance

## Method Summary

Modifier and Type
Method
Description
`boolean`
`setData(String nodePath, String data)`

### Methods inherited from interface ZooInspectorReadOnlyManager

`getACLs, getChildren, getData, getNodeMeta, getNumChildren`

## Method Details

### setData

boolean setData(String nodePath, String data)

Parameters:
  `nodePath` - - the path to the node on which to set the data
  `data` - - the data to set on the this node
Returns:
  true if the data for the node was successfully updated